ioctl FE_SET_FRONTEND_TUNE_MODE
&manvol;

# FE_SET_FRONTEND_TUNE_MODE

Allow setting tuner mode flags to the frontend.

    	int ioctl
    	int fd
    	int request
    	unsigned int flags

## Arguments

`fd`

  &fe_fd;

`request`

  FE_SET_FRONTEND_TUNE_MODE

`flags`

  Valid flags:

  - 0 - normal tune mode

  - FE_TUNE_MODE_ONESHOT - When set, this flag will disable any zigzagging or other "normal" tuning behaviour. Additionally, there will be no automatic monitoring of the lock status, and hence no frontend events will be generated. If a frontend device is closed, this flag will be automatically turned off when the device is reopened read-write.

## Description

Allow setting tuner mode flags to the frontend, between 0 (normal) or FE_TUNE_MODE_ONESHOT mode

&return-value-dvb;